# $Revision: 1.10 $, $Date: 2011/03/01 06:28:52 $
%include	/usr/lib/rpm/macros.php
%define		_status		beta
%define		_pearname	PEAR_Size
Summary:	%{_pearname} - determine and list how much filespace each installed package consumes
Summary(pl.UTF-8):	%{_pearname} - narzędzie do określania miejsca zajmowanego przez zainstalowane klasy PEAR
Name:		php-pear-%{_pearname}
Version:	0.2.0
Release:	3
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	54d8d5cd061e1866459d072d90f4f587
URL:		http://pear.php.net/package/PEAR_Size/
BuildRequires:	php-pear-PEAR >= 1:1.4.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-Console_Getargs >= 1.3.4
Requires:	php-pear-Console_Table >= 1.1.0
Requires:	php-pear-HTML_Table >= 1.8.2
Requires:	php-pear-PEAR >= 1:1.4.0
Obsoletes:	php-pear-PEAR_Size-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A commandline tool modeled on 'df' that lists how much filespace each
installed package consumes. A subset of packages can be specified as
can channels.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Wzorowane na `df' narzędzie do określania ile przestrzeni dyskowej
zajmuje zainstlowany pakiet. Zestaw pakietów może być określony w
postaci kanałów.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_bindir}}
%pear_package_install
install usr/bin/pearsize $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/PEAR_Size/docs/script-usage.txt
%{php_pear_dir}/.registry/*.reg
%attr(755,root,root) %{_bindir}/pearsize
%{php_pear_dir}/PEAR/Command/*
%{php_pear_dir}/PEAR/Size
%{php_pear_dir}/PEAR/Size.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-PEAR_Size.spec,v $
Revision 1.10  2011/03/01 06:28:52  glen
- release 3

Revision 1.9  2011/01/23 01:03:21  sparky
- dropped -tests subpackage

Revision 1.8  2010/08/22 08:51:21  glen
- ensure rpmbuild macros present

Revision 1.7  2010/08/21 19:08:19  glen
- updated deps with pearize.sh
- release 2

Revision 1.6  2010/08/20 13:06:47  glen
- updated to: 0.2.0

Revision 1.5  2008/12/27 01:05:41  adamg
- updated to 0.1.9

Revision 1.4  2008/10/11 09:07:03  adamg
- updated to 0.1.8

Revision 1.3  2008/08/07 06:26:38  adamg
- updated to 0.1.6
- tests package

Revision 1.2  2008-05-25 09:41:48  adamg
- updated to 0.1.4

Revision 1.1  2008-05-18 09:37:02  adamg
- new
